gem install pg error West Baldwin Maine

Address 32 Monroe Dr, Naples, ME 04055
Phone (207) 632-0704
Website Link http://www.sebagotech.com
Hours

gem install pg error West Baldwin, Maine

I can't find advice about how to change a path, or specifically, what change is required. I can't yum erase postgresql postgresql-devel either, because of dependency issues (it would remove php, http etc) The solution? MavericksOSXpgpg_configpostgreRailsRuby on RailsYosemite Post navigation « How to Access ASP.NET Controls Inside An Outer And An Inner ASP Repeaters (Controls Inside Two ASP Repeaters)Quick Guide to Git and GitHub - OSX With the passing of Thai King Bhumibol, are there any customs/etiquette as a traveler I should be aware of?

Conference presenting: stick to paper material? How much interest should I pay on a loan from a friend? Join them; it only takes a minute: Sign up unable to install pg gem up vote 109 down vote favorite 30 I tried using gem install pg but it doesn't seem C:/Ruby/bin/ruby.exe extconf.rb checking for pg_config...

Brokenlifts in public transportation are annoying and limit the mobility of people in wheelchairs. Thx man!!! –Bozic Nebojsa May 9 '14 at 9:49 1 Still works! De kio “saluton” estas la rekta objekto? Security Patch SUPEE-8788 - Possible Problems?

All rights reserved.REDDIT and the ALIEN Logo are registered trademarks of reddit inc.πRendered by PID 24814 on app-542 at 2016-10-17 02:52:49.030616+00:00 running 57dd115 country code: DE. I'm completely stuck. 9 commentsshareall 9 commentssorted by: besttopnewcontroversialoldrandomq&alive (beta)[–]piratekp 3 points4 points5 points 1 year ago(1 child)http://stackoverflow.com/questions/19262312/installing-pg-gem-on-os-x-failure-to-build-native-extension/19620569#19620569 permalinkembedsavegive gold[–]ExNihil[S] 0 points1 point2 points 1 year ago(0 children)This actually ended up being the fix. You should change its permissions. brew install postgresql sudo env ARCHFLAGS="-arch x86_64" gem install pg Seems like architecture flag is the key.

permalinkembedsaveparentgive gold[–]iv_jazz 2 points3 points4 points 1 year ago*(2 children)A working way is to get the Postgres.app and then install the gem with an argument for the path to pg_config (might be different thank you –Felipe Valdivia May 3 at 4:53 | show 3 more comments up vote 44 down vote Use brew to get postgresql brew install postgresql Check you have pg_config in A question can only have one accepted answer. Already have an account?

sudo apt-get install libpq-dev share|improve this answer edited Mar 20 '15 at 6:57 answered May 23 '11 at 10:09 Devaroop 3,79811623 132 Worked for me by apt-get install libpq-dev. permalinkembedsaveparentgive goldaboutblogaboutsource codeadvertisejobshelpsite rulesFAQwikireddiquettetransparencycontact usapps & toolsReddit for iPhoneReddit for Androidmobile websitebuttons<3reddit goldredditgiftsUse of this site constitutes acceptance of our User Agreement and Privacy Policy (updated). © 2016 reddit inc. Why is absolute zero unattainable? asked 4 years ago viewed 72750 times active 2 months ago Linked 0 How to install pg in a rails app? 17 rails install pg - Can't find the 'libpq-fe.h header

Results logged to C:/Ruby/lib/ruby/gems/1.8/gems/pg-0.10.1/ext/gem_make.out ruby-on-rails ruby rubygems installation share|improve this question edited Mar 9 '15 at 10:25 Matt 7,549154482 asked Jan 28 '11 at 10:19 Rohit 2,49931850 What do Terms Privacy Security Status Help You can't perform that action at this time. sudo port install postgresql93 @9.3.2_1 Now cd back into your folder which you are trying to bundle install getting your pg to work with your postgesql file you have or just If you run brew doctor, it will tell you that probably you have installed something without brew that have changed the permissions on some folders, and so, you need to change

Thanks! –armani Apr 23 '13 at 13:43 Fixed the problem for me but on a mac (with homebrew) I had to run this command: brew install postgresql –gmale Jul Check the mkmf.log file for more details. Log In to Comment 3 Answers 2 pon.Aaathithan June 12, 2014 On Ubuntu $ sudo apt-get install postgresql-client libpq5 libpq-dev $ sudo gem install pg Reply Log In to Comment 1 Successfully installed pg-0.17.0 1 gem installed Reference ----------- http://stackoverflow.com/a/8874260/1052356 4bic commented Jan 22, 2016 This could ease your struggle 😄 sudo apt-get install postgresql-client libpq5 libpq-dev then install globally with: sudo

Building native extensions. If building fails, please try again with --with-pg-config=/path/to/pg_config checking for libpq-fe.h... This is what I used: ARCHFLAGS="-arch x86_64" gem install pg -- --with-pg-config=/Library/PostgreSQL/9.3/bin/pg_config If you installed postgres to a different location then you'll need to fix up the path to the pg_config Provided configuration options: --with-opt-dir --without-opt-dir --with-opt-include --without-opt-include=${opt-dir}/include --with-opt-lib --without-opt-lib=${opt-dir}/lib --with-make-prog --without-make-prog --srcdir=. --curdir --ruby=C:/Ruby/bin/ruby --with-pg --without-pg --with-pg-dir --without-pg-dir --with-pg-include --without-pg-include=${pg-dir}/include --with-pg-lib --without-pg-lib=${pg-dir}/lib --with-pg-config --without-pg-config --with-pg_config --without-pg_config Gem files will remain installed

I've scoured this forum for the last 6 hours, trying each piece of advice to get pg working with my rails project. Reload to refresh your session. It's just because we haven't installed PostgreSQL on the machine. –Hoang Le Jun 9 '15 at 16:52 add a comment| up vote 11 down vote Work in my case, i use Not the answer you're looking for?

Either you don't have them installed or you may need to pass the --with-pg-dir= to your gem install. Results logged to /Users/helex/.rbenv/versions/1.9.2-p290/lib/ruby/gems/1.9.1/gems/pg-0.13.2/ext/gem_make.out What relevant about the mess up there is the following part: checking for pg_config... more stack exchange communities company blog Stack Exchange Inbox Reputation and Badges sign up log in tour help Tour Start here for a quick overview of the site Help Center Detailed But on Mac, preceding with env ARCHFLAGS="-arch x86_64" was a game changer for me. –Janusz Lenar Mar 29 at 12:38 add a comment| up vote 21 down vote I hadn't postgresql

Changed your mind? What would be the atomic no. For MacOS, it's usually: gem install pg -- --with-pg-config=/Library/PostgreSQL/9.1/bin/pg_config –nembleton Jun 30 '12 at 9:14 gems is not part of rubygems or any other part of ruby ecosystem, please IQ Puzzle with no pattern date: invalid date '2016-10-16' Why would a password requirement prohibit a number in the last character?

In my case I had to run: sudo ln -s /Library/PostgreSQL/9.3/lib/libpq.5.dylib /usr/local/lib/libpq.5.dylib Once you've done that, retry installing the gem again and hopefully it will work for you the same way rdoc: YARD Documentation Server Ruby Doc: Complete and accurate documentation for the Ruby programming language RelishApp Browsable Cucumber Features Community Signup for Github Signup for rubygems Rails jobs Looking for work, share|improve this answer edited Sep 22 '14 at 0:46 answered Nov 21 '13 at 10:30 2potatocakes 1,822717 add a comment| up vote 7 down vote If you have homebrew, just type: Successfully installed pg-0.17.0 ruby-on-rails postgresql gem osx-mavericks share|improve this question edited Oct 28 '13 at 1:30 asked Oct 28 '13 at 0:36 Jean 1,44342346 add a comment| 25 Answers 25 active

no No pg_config...